org.icefaces.ace.component.audioplayer

## Enum AudioPlayerBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<AudioPlayerBase.PropertyKeys>
  - - org.icefaces.ace.component.audioplayer.AudioPlayerBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AudioPlayerBase.PropertyKeys>
  Enclosing class:
    AudioPlayerBase

      protected static enum AudioPlayerBase.PropertyKeys
      extends java.lang.Enum<AudioPlayerBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `autoplay`
    `controls`
    `library`
    `linkLabel`
    `loop`
    `muted`
    `name`
    `preload`
    `scope`
    `srcAttribute`
    `style`
    `styleClass`
    `type`
    `url`
    `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static AudioPlayerBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AudioPlayerBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final AudioPlayerBase.PropertyKeys accesskey

    - #### autoplay

          public static final AudioPlayerBase.PropertyKeys autoplay

    - #### controls

          public static final AudioPlayerBase.PropertyKeys controls

    - #### library

          public static final AudioPlayerBase.PropertyKeys library

    - #### linkLabel

          public static final AudioPlayerBase.PropertyKeys linkLabel

    - #### loop

          public static final AudioPlayerBase.PropertyKeys loop

    - #### muted

          public static final AudioPlayerBase.PropertyKeys muted

    - #### name

          public static final AudioPlayerBase.PropertyKeys name

    - #### preload

          public static final AudioPlayerBase.PropertyKeys preload

    - #### scope

          public static final AudioPlayerBase.PropertyKeys scope

    - #### style

          public static final AudioPlayerBase.PropertyKeys style

    - #### styleClass

          public static final AudioPlayerBase.PropertyKeys styleClass

    - #### type

          public static final AudioPlayerBase.PropertyKeys type

    - #### url

          public static final AudioPlayerBase.PropertyKeys url

    - #### value

          public static final AudioPlayerBase.PropertyKeys value

    - #### srcAttribute

          public static final AudioPlayerBase.PropertyKeys srcAttribute

  - ### Method Detail

    - #### values

          public static AudioPlayerBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioPlayerBase.PropertyKeys c : AudioPlayerBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioPlayerBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AudioPlayerBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.